import csv

def loadPreset(paramsCount, namePreset):
	parameters = []
	with open(namePreset, mode='r') as csv_file:
	    readerHandle = csv.DictReader(csv_file)
	    lineCount = 0
	    for row in readerHandle:
	    	parameters.append(int(row["paraValue"]))
	    	lineCount += 1

	if (not lineCount == paramsCount):
		raise ValueError('PRESET FILE DAMAGED OR INCOMPATIBLE!')

	return parameters

