import csv

def makePreset(parameters, destFile):

	optPreserveHead  = parameters[0]   
	optByteplaceOn   = parameters[1]
	optReplaceFreq   = parameters[2]
	optReplaceVal    = parameters[3]
	optSwapperOn     = parameters[4]
	optSwapperFreq   = parameters[5]
	optRchunkOn      = parameters[6]
	optRchunkCycle   = parameters[7]
	otpRchunkActive  = parameters[8]
	optAdderOn       = parameters[9]
	optAdderFreq     = parameters[10]
	optAdderValue    = parameters[11]
	optRandplaceOn   = parameters[12]
	optRandplaceFreq = parameters[13]
	optShifterOn     = parameters[14]
	optShifterFreq   = parameters[15]
	optShifterDir    = parameters[16]

	with open(destFile, 'w') as csvfile:
	    presetMaker = csv.writer(csvfile, delimiter=',', quotechar='"')
	    presetMaker.writerow(['paraName','paraValue'])
	    presetMaker.writerow(['preserveHead', optPreserveHead])
	    presetMaker.writerow(['byteplaceOn', optByteplaceOn]) 
	    presetMaker.writerow(['byteplaceFreq', optReplaceFreq]) 
	    presetMaker.writerow(['byteplaceVal', optReplaceVal]) 
	    presetMaker.writerow(['swapperOn', optSwapperOn]) 
	    presetMaker.writerow(['swapperFreq', optSwapperFreq]) 
	    presetMaker.writerow(['rchunkOn', optRchunkOn]) 
	    presetMaker.writerow(['rchunkCycle', optRchunkCycle]) 
	    presetMaker.writerow(['rchunkActive', otpRchunkActive]) 
	    presetMaker.writerow(['adderOn', optAdderOn]) 
	    presetMaker.writerow(['adderFreq', optAdderFreq]) 
	    presetMaker.writerow(['adderVal', optAdderValue]) 
	    presetMaker.writerow(['randplaceOn', optRandplaceOn]) 
	    presetMaker.writerow(['randplaceFreq', optRandplaceFreq]) 
	    presetMaker.writerow(['shifterOn', optShifterOn]) 
	    presetMaker.writerow(['shifterFreq', optShifterFreq]) 
	    presetMaker.writerow(['shifterDir', optShifterDir])
	    csvfile.close()